<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_g"><span>g</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_r"><span>r</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
<p>
<h3><a class="anchor" name="index_a">- a -</a></h3><ul>
<li>A_B_CNT
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#86ce51bcde596db8686df5151d1e36f4">EDMA3_RM_ParamentryRegs</a>
<li>aCnt
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#6b793fb789c2e62244588c1de455d5c3">EDMA3_RM_PaRAMRegs</a>
<li>avlblDmaChannels
: <a class="el" href="structEDMA3__RM__Instance.html#c79c170f0c84f077084772c06334e72c">EDMA3_RM_Instance</a>
<li>avlblPaRAMSets
: <a class="el" href="structEDMA3__RM__Instance.html#bca40d62bbca7c0e31a8945e7a61f2f2">EDMA3_RM_Instance</a>
<li>avlblQdmaChannels
: <a class="el" href="structEDMA3__RM__Instance.html#b1377abba4e39bb4c32f69898be3ab1d">EDMA3_RM_Instance</a>
<li>avlblTccs
: <a class="el" href="structEDMA3__RM__Instance.html#a25e136d2bae2f3a8c159bf6aa38e84e">EDMA3_RM_Instance</a>
</ul>
<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
<li>bCnt
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#c7a839fc4ec88ef71de0298ae9d0f5c0">EDMA3_RM_PaRAMRegs</a>
<li>bCntReload
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#e7a0840fb53ccfd2ae35e943390bf9f2">EDMA3_RM_PaRAMRegs</a>
</ul>
<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
<li>cbData
: <a class="el" href="structEDMA3__RM__TccCallbackParams.html#9834742e3ec7ea2b7ec1064055417cab">EDMA3_RM_TccCallbackParams</a>
<li>ccError
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#9154b7f04bfe4b3f3d1071da8ad8b483">EDMA3_RM_GblConfigParams</a>
<li>CCNT
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#a3ef14c588c533a40427f219242e7f2a">EDMA3_RM_ParamentryRegs</a>
<li>cCnt
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#88d49983095c65ad1787cc02d56daf27">EDMA3_RM_PaRAMRegs</a>
</ul>
<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
<li>destAddr
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#476c3a53fd360b0c823c4432ef3da665">EDMA3_RM_PaRAMRegs</a>
<li>destBIdx
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#20e706a171712ea04b3f73cfaaa9b388">EDMA3_RM_PaRAMRegs</a>
<li>destCIdx
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#14e3f593a8db50dd39fc5379a7fa2b7a">EDMA3_RM_PaRAMRegs</a>
<li>dmaChannelHwEvtMap
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#c75808b1b49e327e540620ff08eb23d7">EDMA3_RM_GblConfigParams</a>
<li>dmaChannelPaRAMMap
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#fa7ba95cc73b21f640888aab87a66533">EDMA3_RM_GblConfigParams</a>
<li>dmaChannelTccMap
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#b06c1d88f0efb9c82c963daf8d7ea684">EDMA3_RM_GblConfigParams</a>
<li>dmaChPaRAMMapExists
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#51b46695b8424bfe97fa1f23106c7161">EDMA3_RM_GblConfigParams</a>
<li>DST
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#962a4fded1f7b63f8cc9150c924b97f5">EDMA3_RM_ParamentryRegs</a>
</ul>
<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
<li>evtQPri
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#d4e9caa9307edbc6832ebe662de1b6f6">EDMA3_RM_GblConfigParams</a>
<li>evtQueueWaterMarkLvl
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#e633ff54dda219dafc5d3b609a28a202">EDMA3_RM_GblConfigParams</a>
</ul>
<h3><a class="anchor" name="index_g">- g -</a></h3><ul>
<li>gblCfgParams
: <a class="el" href="structEDMA3__RM__Obj.html#6bac11beb5c7f95204cac16455bb424c">EDMA3_RM_Obj</a>
<li>gblerrCb
: <a class="el" href="structEDMA3__RM__GblErrCallbackParams.html#7e71d5910d29c6a69576c3f860f6b272">EDMA3_RM_GblErrCallbackParams</a>
<li>gblerrCbParams
: <a class="el" href="structEDMA3__RM__Param.html#bafa6f546c9a5a893885f161d96ebe61">EDMA3_RM_Param</a>
<li>gblerrData
: <a class="el" href="structEDMA3__RM__GblErrCallbackParams.html#f2a780928d2b6918ec49426a8ea60144">EDMA3_RM_GblErrCallbackParams</a>
<li>globalRegs
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#c37e1efa702856b32e621560d4ddde2d">EDMA3_RM_GblConfigParams</a>
</ul>
<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
<li>initParam
: <a class="el" href="structEDMA3__RM__Instance.html#9ea516313f4cbf1203ed945b75120770">EDMA3_RM_Instance</a>
<li>isMaster
: <a class="el" href="structEDMA3__RM__Param.html#f8461561ef2a4b6f432c57394b89296a">EDMA3_RM_Param</a>
<li>isSlave
: <a class="el" href="structEDMA3__RM__MiscParam.html#56ea473581e1d76b7497796d1e46d850">EDMA3_RM_MiscParam</a>
</ul>
<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
<li>LINK_BCNTRLD
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#4262be65b0dcae242b5e2dccd5b5b23f">EDMA3_RM_ParamentryRegs</a>
<li>linkAddr
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#895743ea8620f21b5ddc2149d2a05c3b">EDMA3_RM_PaRAMRegs</a>
</ul>
<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
<li>memProtectionExists
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#4f142ccb3c6a0e2ec3146439f4b38443">EDMA3_RM_GblConfigParams</a>
</ul>
<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
<li>numDmaChannels
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#146c49c83ca4e65a3145d9b15d73571d">EDMA3_RM_GblConfigParams</a>
<li>numEvtQueue
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#152b2623285f14f6013b130fbfdf2ee1">EDMA3_RM_GblConfigParams</a>
<li>numOpens
: <a class="el" href="structEDMA3__RM__Obj.html#13b4308a8ad6baf647b5c7adbe54702c">EDMA3_RM_Obj</a>
<li>numPaRAMSets
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#9f66e1878cc69101518f94c5f95ec393">EDMA3_RM_GblConfigParams</a>
<li>numQdmaChannels
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#49bb3d33efc585d75c8c18cf26dbf169">EDMA3_RM_GblConfigParams</a>
<li>numRegions
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#f96ad7a22abe4152c2dbec6ddd793ffb">EDMA3_RM_GblConfigParams</a>
<li>numTccs
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#de09c3f169c87739ab5b5d00101a59ed">EDMA3_RM_GblConfigParams</a>
<li>numTcs
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#2469da2ae6f4c3895c1edf6333590b1e">EDMA3_RM_GblConfigParams</a>
</ul>
<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
<li>OPT
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#0cf7a755d7bae28725d5473f55e4b285">EDMA3_RM_ParamentryRegs</a>
<li>opt
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#b3fbc10843edca5369164bb54f8f1311">EDMA3_RM_PaRAMRegs</a>
<li>ownDmaChannels
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#fea6ae753bce07d64d92f6521bb489e5">EDMA3_RM_InstanceInitConfig</a>
<li>ownPaRAMSets
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#195712f03e6c92f0a386dd036422f956">EDMA3_RM_InstanceInitConfig</a>
<li>ownQdmaChannels
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#836f8f25e8a2e01d6649034b7cc92d50">EDMA3_RM_InstanceInitConfig</a>
<li>ownTccs
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#38b3b42404f41e978c3b682ccf63fa8f">EDMA3_RM_InstanceInitConfig</a>
</ul>
<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
<li>param
: <a class="el" href="structEDMA3__RM__MiscParam.html#b66a1abe88183a9f57c85373010e5c75">EDMA3_RM_MiscParam</a>
<li>paRAMId
: <a class="el" href="structEDMA3__RM__ChBoundResources.html#be7b47232db77c8ed3ce9487ca8f658f">EDMA3_RM_ChBoundResources</a>
<li>paramInitRequired
: <a class="el" href="structEDMA3__RM__Instance.html#750feffdd410001a563b312cd6d1442c">EDMA3_RM_Instance</a>
<li>phyCtrllerInstId
: <a class="el" href="structEDMA3__RM__Obj.html#e3c0a4a97c25259407c34e3582255198">EDMA3_RM_Obj</a>
<li>pResMgrObjHandle
: <a class="el" href="structEDMA3__RM__Instance.html#c8c4e0d16fe56d1465b4860f11060733">EDMA3_RM_Instance</a>
</ul>
<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
<li>regionId
: <a class="el" href="structEDMA3__RM__Param.html#5722cd299dd4712cdb9f7cf7aec869b6">EDMA3_RM_Param</a>
<li>regionInitEnable
: <a class="el" href="structEDMA3__RM__Param.html#e0b670ea74b53074559f5ad4c5fe7366">EDMA3_RM_Param</a>
<li>regModificationRequired
: <a class="el" href="structEDMA3__RM__Instance.html#9994deccfdf8a63db677311aced1db79">EDMA3_RM_Instance</a>
<li>resId
: <a class="el" href="structEDMA3__RM__ResDesc.html#8fffc8bd17e838ce866a225ffe14ce02">EDMA3_RM_ResDesc</a>
<li>resvdDmaChannels
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#6df76275220d03b4b42c9161b4d670ff">EDMA3_RM_InstanceInitConfig</a>
<li>resvdPaRAMSets
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#b97d5476ee84765b1cb26216af673cfc">EDMA3_RM_InstanceInitConfig</a>
<li>resvdQdmaChannels
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#e7909518f9ba93b32c496193e797bf3b">EDMA3_RM_InstanceInitConfig</a>
<li>resvdTccs
: <a class="el" href="structEDMA3__RM__InstanceInitConfig.html#7996562a8045cf6b7f33e40aa9b49313">EDMA3_RM_InstanceInitConfig</a>
<li>rmInstInitConfig
: <a class="el" href="structEDMA3__RM__Param.html#b4b422aad358309280f16027423df238">EDMA3_RM_Param</a>
<li>rmSemHandle
: <a class="el" href="structEDMA3__RM__Param.html#5f6478d1cacf5b62e3039f37c82a4e78">EDMA3_RM_Param</a>
</ul>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>shadowRegs
: <a class="el" href="structEDMA3__RM__Instance.html#b3bc4cc87520c8156b0569600b9678e5">EDMA3_RM_Instance</a>
<li>SRC
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#5cdf48fe9dfa1bf57634707cb0844272">EDMA3_RM_ParamentryRegs</a>
<li>SRC_DST_BIDX
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#fb5a2b7960d93156dbf7d5f1966b5b47">EDMA3_RM_ParamentryRegs</a>
<li>SRC_DST_CIDX
: <a class="el" href="structEDMA3__RM__ParamentryRegs.html#c2f5d7cc117f6078c9857ebb630cad17">EDMA3_RM_ParamentryRegs</a>
<li>srcAddr
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#88f22ecb531e50776a8d39efb07e1f03">EDMA3_RM_PaRAMRegs</a>
<li>srcBIdx
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#379c5a7e527a0df8f1a0f3f570370a4a">EDMA3_RM_PaRAMRegs</a>
<li>srcCIdx
: <a class="el" href="structEDMA3__RM__PaRAMRegs.html#948163aaedd3fff182f8ba9de03b4091">EDMA3_RM_PaRAMRegs</a>
<li>state
: <a class="el" href="structEDMA3__RM__Obj.html#a262df0776f0a9b6163e8f64d91a0265">EDMA3_RM_Obj</a>
</ul>
<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
<li>tcc
: <a class="el" href="structEDMA3__RM__ChBoundResources.html#c312830c57f5f44cc9ce7eb86513ae7d">EDMA3_RM_ChBoundResources</a>
<li>tccCb
: <a class="el" href="structEDMA3__RM__TccCallbackParams.html#b46111c7ca4b209d38383103bfd9a1e5">EDMA3_RM_TccCallbackParams</a>
<li>tcDefaultBurstSize
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#dd171129e6252b02ba54d5e79cb7ecea">EDMA3_RM_GblConfigParams</a>
<li>tcError
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#72c01f8e87453fc8495371cd44b2dcc4">EDMA3_RM_GblConfigParams</a>
<li>tcRegs
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#167e1ab12a947d4446ba56f8129ed91d">EDMA3_RM_GblConfigParams</a>
<li>type
: <a class="el" href="structEDMA3__RM__ResDesc.html#3d13077eac87394e8c0721e6346c3716">EDMA3_RM_ResDesc</a>
</ul>
<h3><a class="anchor" name="index_x">- x -</a></h3><ul>
<li>xferCompleteInt
: <a class="el" href="structEDMA3__RM__GblConfigParams.html#f902e3c9d3d6d54fdc472bf79297c947">EDMA3_RM_GblConfigParams</a>
</ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
